# List user group members This endpoint provides a list of members in a user group with filtering, sorting, and pagination support. Endpoint: POST /v3/companies/{companyId}/user-groups/{groupId}/members Version: v3 Security: Bearer ## Path parameters: - `companyId` (string, required) Company ID of the user group. Example: "1234a66b-7493-4f41-908c-58ba81093653" - `groupId` (string, required) Identifier for the user group. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Request fields (application/json): - `pagination` (object, required) Pagination information for request. - `pagination.offset` (integer) The starting index in the list from which results are returned. The value must be greater than or equal to 0. - `pagination.limit` (integer) Maximum number of results to be fetched. - `sortParams` (object) Sorting related parameters. - `sortParams.sortBy` (string, required) The field name to sort user group members. Enum: "ADDED_AT" - `sortParams.sortOrder` (string, required) Sorting order. Enum: "DESC", "ASC" - `filters` (array) List of filters. Members matching with any filter would be returned. - `filters.addedAfter` (object) Filter by users added after this date (inclusive). - `filters.addedAfter.iso8601` (string, required) Example: "2017-07-21T17:32Z" - `filters.addedBefore` (object) Filter by users added before this date (exclusive). - `filters.userIds` (array) Filter by specific user IDs. Example: ["1234a66b-7493-4f41-908c-58ba81093947"] ## Response 200 fields (application/json): - `members` (array, required) List of user group members with their details. - `members.userId` (string, required) The ID of the user who is a member of the group. Example: "1234a66b-7493-4f41-908c-58ba81093947" - `members.addedAt` (object, required) The date and time when the user was added to the group. - `members.addedAt.iso8601` (string, required) Example: "2017-07-21T17:32Z" - `pagination` (object, required) Pagination information for response. - `pagination.totalNumResults` (integer, required) Total number of results. ## Response 400 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.